/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package pr2_cv8_2;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;
import java.net.SocketException;
import java.net.UnknownHostException;

/**
 *
 * @author Jaroslav Kuchar
 */
public class SitKlient {
    // cely klient je tak jednoduchy, ze je v metode main

    public static void main(String[] args) {
        // otevirani socketu
        Socket clientSocket = null;
        try {
            clientSocket = new Socket("localhost", 9903);
        } catch (UnknownHostException ex) {
            ex.printStackTrace();
            System.exit(-1);
        } catch (IOException ex) {
            ex.printStackTrace();
            System.exit(-1);
        }
        System.out.println("connected");
        
        try {
            PrintWriter out = new PrintWriter(clientSocket.getOutputStream(), true);
            BufferedReader in = new BufferedReader(new InputStreamReader(clientSocket.getInputStream()));
            BufferedReader systemIn = new BufferedReader(new InputStreamReader(System.in));
            String input;
            while ((input = systemIn.readLine()) != null) {                
                // takhle se posilaji data serveru
                out.println(input);
                // pokud mame skoncit, tak uzavreme otevrene proudy a socket
                if (input.trim().equals("CLOSE")) {
                    in.close();
                    out.close();
                    systemIn.close();
                    clientSocket.close();
                    break;
                } // jinak precteme, co server odpovedel a vypiseme
                else {
                    String response = in.readLine();
                    System.out.println("RESPONSE: " + response);
                }
            }
        } catch (IOException ex) {
            ex.printStackTrace();
            System.exit(-1);
        }
    }
}
