package pr2_cv8_2;

/**
 *
 * @author Jaroslav Kuchar
 */
public class NahodnaCisla implements Runnable {

    private int poradi = 0;
    private Thread th;
    private static int celkem = 0;

    public NahodnaCisla(String name) {
        this.th = new Thread(this, name);
    }

    public void start() {
        this.th.start();
    }

    public void run() {

        int cislo = (int) ((Math.random() * 1000) + 1);
        while (cislo > 5) {
            System.out.println(th.getName() + " poradi:" + (poradi++) + " cislo:" + cislo);
            cislo = (int) ((Math.random() * 1000) + 1);
        }        
        celkem += poradi;
    }

    public static void main(String[] args) {        

        NahodnaCisla nc1 = new NahodnaCisla("prvni");
        NahodnaCisla nc2 = new NahodnaCisla("druhe");
        nc1.start();
        nc2.start();

        try {
            nc1.th.join();            
            nc2.th.join();            
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        System.out.println(NahodnaCisla.celkem);
        System.out.println(nc1.poradi + nc2.poradi);

    }
}
